Reference record for OID 1.3.6.1.4.1.3582

Parent
1.3.6.1.4.1 (enterprise, enterprises, ldap-enterprise, vendor-objects)
Node code
3582
Node names
  • lsi
  • perc
  • lsiSwitchRegModule
Numeric OID
1.3.6.1.4.1.3582
URN notation
urn:oid:1.3.6.1.4.1.3582
Type
OBJECT IDENTIFIER
ASN.1 notation

{1 3 6 1 4 1 3582}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/3582
  • /ISO/Identified-Organization/6/1/4/1/3582
  • /ISO/3/6/1/4/1/3582
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/lsi
  • /iso/identified-organization/dod/internet/private/enterprise/perc
  • /iso/identified-organization/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/enterprises/lsi
  • /iso/identified-organization/dod/internet/private/enterprises/perc
  • /iso/identified-organization/dod/internet/private/enterprises/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsi
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/perc
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsi
  • /iso/identified-organization/dod/internet/private/vendor-objects/perc
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprise/lsi
  • /iso/org/dod/internet/private/enterprise/perc
  • /iso/org/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprises/lsi
  • Additional combinations skipped.

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

IANA Private Enterprise Numbers

LSI Logic

lsiSwitchRegModule — LSI SAS6160 MIB with qualified omitted root

This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.

Source records

lsiSwitchRegModule

Status in source: unspecified.

Names: lsiSwitchRegModule

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "lsiSwitchRegModule",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "ORGANIZATION",
    "\"LSI, Corp.\"",
    "CONTACT-INFO",
    "\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
    "DESCRIPTION",
    "\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
    "REVISION",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "DESCRIPTION",
    "\"Initial revision\"",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "201005120000Z"
    ],
    [
      "ORGANIZATION",
      "LSI, Corp."
    ],
    [
      "CONTACT-INFO",
      "Customer Technical Support LSI Corporation Web: www.lsi.com"
    ],
    [
      "DESCRIPTION",
      "This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
    ],
    [
      "Revisions",
      [
        [
          "201005120000Z",
          [
            "DESCRIPTION",
            "Initial revision"
          ]
        ]
      ]
    ]
  ]
}
  • LSI SAS6160 MIB with qualified omitted root · Publisher's source file: Source package: SNMPMIBs.zip

    Module: LSI-SAS6160-MIB

    Published definition
    lsiSwitchRegModule MODULE-IDENTITY
        LAST-UPDATED "201005120000Z"
        ORGANIZATION "LSI, Corp."
        CONTACT-INFO "Customer Technical Support
                      LSI Corporation
                      Web: www.lsi.com"
    
        DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
                     It maintains the high level portion of the LSI switch OID
                     tree, and is imported by all LSI switch MIBs.
    
                     Copyright (c) 2010 LSI Corporation."
    
        REVISION    "201005120000Z" -- 12 MAY 2010
        DESCRIPTION "Initial revision"
    
        ::= {enterprises 3582}
    Module imports
    {'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}

    Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.

    · Download LSI SAS6160 MIB — saved edition 1

    Related source files and packages:


    Source location: LSI-SAS6160-MIB::lsiSwitchRegModule.
    Source version and references

    The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes

    Downloaded: 2026-11-03T07:10:57.991843+00:00.

perc

Status in source: unspecified.

Names: perc

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "perc",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ]
}
  • Preserved mibdepot archive

    Module: RAID-Adapter-MIB

    Published definition
    perc OBJECT IDENTIFIER ::= { enterprises 3582 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}
    · Download Perc.mib.txt
    Source location: RAID-Adapter-MIB::perc.
    Source version and references

    Archived: 2026-10-19T00:22:08.972344+00:00.

Information from MIBdepot

Source file: Download MEGARAID.MIB.txt

File: lsi/MEGARAID.MIB.txt; 60,588 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

Information from Circitor

Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file

Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes

Related source files and packages:

Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file

Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from LibreNMS; 225,807 bytes

Vendor MIB copy from the LibreNMS archive.

Related source files and packages:

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes

Vendor MIB copy from the Observium Community archive.

Source file: Download RAID-Adapter-MIB.mib

Publisher path: Mibs; 60,628 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

First Registration Authority

Wisniewski Ken

Direct children (6)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.3582.1 percRAID, megaRaid1220
1.3.6.1.4.1.3582.2 lsiRAID192
1.3.6.1.4.1.3582.3 megaIDE185
1.3.6.1.4.1.3582.4 storageComponents1623
1.3.6.1.4.1.3582.5 lsiStorageComponents1471
1.3.6.1.4.1.3582.200 lsiSwitchFamily177

Siblings (67350)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.14551 1455100 GSI mbH
1.3.6.1.4.1.14552 1455200 Rison Craft
1.3.6.1.4.1.14553 1455300 DaimlerChrysler Corp.
1.3.6.1.4.1.14554 1455400 VU MIF
1.3.6.1.4.1.14555 1455500 CMGCC
1.3.6.1.4.1.14556 1455600 Graven Software
1.3.6.1.4.1.14557 1455700 Infowave Software Inc.
1.3.6.1.4.1.14558 1455800 SunGard BSR, Inc.
1.3.6.1.4.1.14559 1455900 Mondru AB
1.3.6.1.4.1.14560 1456000 TSCNet, Inc.
1.3.6.1.4.1.14561 1456100 Vocent Solutions
1.3.6.1.4.1.14562 1456200 e-Project Solutions Pte Ltd
1.3.6.1.4.1.14563 1456300 National Information and Communication Technology Australia
1.3.6.1.4.1.14564 1456400 elbers.com
1.3.6.1.4.1.14565 1456500 Z-Force, Inc.
1.3.6.1.4.1.14566 1456600 BMF
1.3.6.1.4.1.14567 1456700 Coventry University Enterprises Ltd
1.3.6.1.4.1.14568 1456800 Weiser
1.3.6.1.4.1.14569 1456900 Heidelberg
1.3.6.1.4.1.14570 1457000 Majentis Technologies Inc.
1.3.6.1.4.1.14571 1457100 Atomz Corporation
1.3.6.1.4.1.14572 1457200 EDIWISE
1.3.6.1.4.1.14573 1457300 Abest Research Corp.
1.3.6.1.4.1.14574 1457400 Cellicium SA
1.3.6.1.4.1.14575 1457500 Attention Software, Inc.
1.3.6.1.4.1.14576 1457600 Total Network
1.3.6.1.4.1.14577 1457700 ForestExpress, LLC
1.3.6.1.4.1.14578 1457800 Geac Library Solutions
1.3.6.1.4.1.14579 1457900 Q Linux Solutions, Inc.
1.3.6.1.4.1.14580 1458000 The Manticore Group
1.3.6.1.4.1.14581 1458100 ManaSoft
1.3.6.1.4.1.14582 1458200 LUZ Engenharia Financeira
1.3.6.1.4.1.14583 1458300 TruTeq Wireless
1.3.6.1.4.1.14584 1458400 Celestix Networks
1.3.6.1.4.1.14585 1458500 Compass Internet
1.3.6.1.4.1.14586 1458600 Tmax soft
1.3.6.1.4.1.14587 1458700 Technological Centre "Tushino" CB RF
1.3.6.1.4.1.14588 1458800 Neosymmetria
1.3.6.1.4.1.14589 1458900 Sicap Ltd
1.3.6.1.4.1.14590 1459000 Passave Inc.
1.3.6.1.4.1.14591 1459100 ncc network consulting GmbH
1.3.6.1.4.1.14592 1459200 iOrange - Internet Software and Service GmbH
1.3.6.1.4.1.14593 1459300 Dyode
1.3.6.1.4.1.14594 1459400 Rudolf Bahr
1.3.6.1.4.1.14595 1459500 BillReilly
1.3.6.1.4.1.14596 1459600 Martin Wismans GmbH
1.3.6.1.4.1.14597 1459700 DolphinSearch, Inc.
1.3.6.1.4.1.14598 1459800 USDS
1.3.6.1.4.1.14599 1459900 Corman
1.3.6.1.4.1.14600 1460000 CryptAll Limited